# rpm skeleton rewriten by Lenny Cartier <lenny@mandrakesoft.com>
#
# Default values are for example purpose. You MUST tweak this 
# specfile to suit your needs with the info found at :
# http://www.linux-mandrake.com/howtos/mdk-rpm/

%define	name	keychain
%define	version 2.0.2
%define	release	2mdk

Summary:	Keychain manages ssh-agent to minimise passphrase entry for ssh
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/Remote access
URL:		http://www.gentoo.org/projects/%{name}/
Source0:	http://www.ibiblio.org/gentoo/distfiles/%name-%version.tar.bz2
Source1:	%name.profile.sh
BuildRoot:	%_tmppath/%name--buildroot
Requires:	openssh-askpass openssh-clients
BuildArch:	noarch

%description
keychain helps you to manage RSA and DSA keys in a convenient and secure 
manner. It acts as a frontend to SSH-agent, but allows you to easily have one 
long running SSH-agent process per system, rather than the norm of one 
SSH-agent per login session. This dramatically reduces the number of times 
you need to enter your passphrase - with keychain, you only need to enter a 
passphrase once every time your local machine is rebooted. keychain also 
makes it easy for remote cron jobs to securely "hook in" to a long running 
SSH-agent process, allowing your scripts to take advantage of RSA and DSA 
keys.

Run keychain once manually per user, after which keychain will run (quietly) 
every time you log in (from a profile script).

Hint: If you get tired of keychain, delete ~/.keychain

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%install

mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_sysconfdir}/profile.d
install -m755 %{name} %{buildroot}/%{_bindir}
install -m755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/profile.d/%{name}.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog
%_bindir/*
%{_sysconfdir}/profile.d/*

%changelog
* Mon Jan 06 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.2-2mdk
- Rebuild

* Mon Sep 02 2002 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.2-1mdk
- First Mandrake package
